<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_auths.ui.BusinessLoginActivity.ClickProxy" />

    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#3684F9">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:scaleType="centerCrop"
            android:src="@drawable/personal_login_bottom_bg" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/business_login_top_bg"
            android:scaleType="centerCrop" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_35dp"
            android:src="@mipmap/back_black"
            binding:clicks="@{click.backPage}" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="345dp"
            android:layout_gravity="center"
            android:layout_marginLeft="@dimen/d_30dp"
            android:layout_marginRight="@dimen/d_30dp"
            android:background="@drawable/shape_white_10round_bg"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:orientation="vertical">

            <com.guadou.lib_baselib.font_text_view.TextViewSBold
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="30dp"
                android:text="Business login"
                android:textAllCaps="true"
                android:textColor="@color/input_blue_text"
                android:textSize="25sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="38dp"
                android:layout_marginTop="@dimen/d_25dp"
                android:text="Email"
                android:textColor="#547395"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_35dp"
                android:layout_marginLeft="32dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:layout_marginRight="32dp"
                android:background="@drawable/shape_input_gray_4round_bg"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_9dp"
                    android:src="@drawable/login_email_icon" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/d_15dp"
                    android:background="@color/transparent"
                    android:hint="Email Account"
                    android:inputType="textEmailAddress"
                    android:singleLine="true"
                    android:text="@={click.MEmailLD}"
                    android:textColor="@color/input_black_text"
                    android:textColorHint="#FFA1B0BE"
                    android:textSize="@dimen/d_15sp"
                    binding:typefaceRegular="@{true}" />

            </LinearLayout>

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="38dp"
                android:layout_marginTop="@dimen/d_18dp"
                android:text="Password"
                android:textColor="#547395"
                android:textSize="14sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_35dp"
                android:layout_marginLeft="32dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:layout_marginRight="32dp"
                android:background="@drawable/shape_input_gray_4round_bg"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_9dp"
                    android:src="@drawable/login_password_icon" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/d_15dp"
                    android:background="@color/transparent"
                    android:hint="Enter Password"
                    android:inputType="textPassword"
                    android:singleLine="true"
                    android:text="@={click.MPasswordLD}"
                    android:textColor="@color/input_black_text"
                    android:textColorHint="#FFA1B0BE"
                    android:textSize="@dimen/d_15sp"
                    binding:typefaceRegular="@{true}" />

            </LinearLayout>


            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_36dp"
                android:layout_marginLeft="@dimen/d_32dp"
                android:layout_marginTop="@dimen/d_24dp"
                android:layout_marginRight="@dimen/d_32dp"
                android:background="@drawable/shape_btn_blue_18round_bg"
                android:gravity="center"
                android:text="Login"
                android:textColor="@color/white"
                android:textSize="@dimen/d_16sp"
                binding:clicks="@{click.doLogin}" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_36dp"
                android:layout_marginLeft="@dimen/d_32dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_32dp"
                android:background="@drawable/shape_btn_origin_18round_bg"
                android:gravity="center"
                android:text="Forgot Password"
                android:textColor="@color/white"
                android:textSize="@dimen/d_16sp"
                binding:clicks="@{click.gotoForgotPasswordPage}" />

        </LinearLayout>


    </FrameLayout>

</layout>
